summaryrefslogtreecommitdiff
path: root/plugins/droplr/droplr.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/droplr/droplr.plugin.zsh')
-rw-r--r--plugins/droplr/droplr.plugin.zsh15
1 files changed, 15 insertions, 0 deletions
diff --git a/plugins/droplr/droplr.plugin.zsh b/plugins/droplr/droplr.plugin.zsh
new file mode 100644
index 000000000..af0a21299
--- /dev/null
+++ b/plugins/droplr/droplr.plugin.zsh
@@ -0,0 +1,15 @@
+# Only compatible with MacOS
+[[ "$OSTYPE" == darwin* ]] || return
+
+droplr() {
+ if [[ $# -eq 0 ]]; then
+ echo You need to specify a parameter. >&2
+ return 1
+ fi
+
+ if [[ "$1" =~ ^https?:// ]]; then
+ osascript -e 'tell app "Droplr" to shorten "'"$1"'"'
+ else
+ open -ga /Applications/Droplr.app "$1"
+ fi
+}